package com.ruoyi.voluntary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科目组合对象 mxjb_selected_group
 * 
 * @author voluntary
 * @date 2023-03-17
 */
public class SelectedGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 组合id */
    private Long groupId;

    /** 科目掩码 */
    @Excel(name = "科目掩码")
    private Long mask;

    /** 组合名称 */
    @Excel(name = "组合名称")
    private String name;

    /** 序号 */
    @Excel(name = "序号")
    private Long rank;

    /** 首选科目 */
    @Excel(name = "首选科目")
    private String course0;

    /** 次选科目 */
    @Excel(name = "次选科目")
    private String course1;

    /** 1表示3+1+2，2表示3+3，3表示老高考文理科 */
    @Excel(name = "1表示3+1+2，2表示3+3，3表示老高考文理科")
    private String newgaokaoType;

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setMask(Long mask) {
        this.mask = mask;
    }

    public Long getMask() {
        return mask;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setRank(Long rank) {
        this.rank = rank;
    }

    public Long getRank() {
        return rank;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getCourse1() {
        return course1;
    }

    public void setNewgaokaoType(String newgaokaoType) {
        this.newgaokaoType = newgaokaoType;
    }

    public String getNewgaokaoType() {
        return newgaokaoType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("groupId", getGroupId()).append("mask", getMask())
            .append("name", getName()).append("rank", getRank()).append("course0", getCourse0()).append("course1", getCourse1())
            .append("newgaokaoType", getNewgaokaoType()).toString();
    }
}
